#include "host.hpp"

namespace sk {
host::host(const std::string &ip, unsigned int connectionsMax)
    : ip{ip}, connections{0}, connectionsMax{connectionsMax} {}

void host::addConnection() { connections += 1; }

unsigned int host::getNbConnections() const { return connections; }

unsigned int host::getNbConnectionsMax() const { return connectionsMax; }
}
