#pragma once

#include <string>

namespace sk {
class host {
    std::string ip;

    unsigned int connections;
    unsigned int connectionsMax;

  public:
    host(const std::string &ip, unsigned int connectionsMax);
    void addConnection();
    unsigned int getNbConnections() const;
    unsigned int getNbConnectionsMax() const;

    bool operator<(const host &other) const {
        return (connectionsMax - connections) <
               other.getNbConnectionsMax() - other.getNbConnections();
    }
};
}
